[RH - Scripting] Problemas con script del habla

Avisos


Respuesta
 
Herramientas Desplegado
  #1  
Hace 3 Semanas
Error Problemas con script del habla
Buen dia grupo.
Tengo problemas al introducir un script del habla, al hablar con el personaje modificado me salen unos errores. Unos codigos en el msgbox que no se les entiende nada.
¿Sabe alguien porque sucede esto?
  #2  
Hace 3 Semanas
Predeterminado Re: Problemas con script del habla
Este es mi script de habla básico:

#dynamic 0x800000

#org @inicio
lock
faceplayer
msgbox @frase 0x6
release
end

#org @frase
=


Usalo y si no te funciona es que algo haces mal porque yo lo he usado para los NPC de todas mis ciudades. Eso sí, es de habla básico, lo que quiere decir que simplemente dirá la frase y punto. Ni hará un move, ni cambiará de frase ante un evento ni nada.
  #3  
Hace 3 Semanas
Predeterminado Respuesta: Re: Problemas con script del habla
Tengo el mismo script pero al hablar con ellos me aparecen simbolos mal hechos, se traba la rom o aveces ni reaccionan.
¿A que crees que se deba?
  #4  
Hace 3 Semanas
Predeterminado Re: Respuesta: Re: Problemas con script del habla
Dicho por Sergiolino Ver mensaje
Tengo el mismo script pero al hablar con ellos me aparecen simbolos mal hechos, se traba la rom o aveces ni reaccionan.
¿A que crees que se deba?
Pues la única razón para que algo tan simple no te funcione es que no pones el offset del script que te escupe el programa en el mini al que le corresponde. Otra cosa no se me ocurre.

No basta con compilar, hay que copiar el offset y ponerlo en el mini, sustituyendo el $00000 por el offset que te dan al compilar. Aunqie imagino que esto ya lo sabes
  #5  
Hace 3 Semanas
Predeterminado Respuesta: Re: Respuesta: Re: Problemas con script del habla
Si, sin problemas me aparece y lo pongo despues del signo $
El problema es que me sigue apareciendo los errores y al querer actualizar el programa XSD no me da la opcion, ya cambie a otros y aun nada

¿Me podras pasar tu programa? Ya que lo he descargado en este foro y en otros lugares y nada
  #6  
Hace 3 Semanas
Predeterminado Respuesta: Problemas con script del habla
@Sergiolino
Asegúrate de estar copiando el primer offset que te da XSE.

Imagen

O también verifica en Amap el tipo de movimiento, si dice "Mirar abajo", cambialo por "Sin movimiento"


M.H.B.P.
http://i.imgur.com/Dv57tio.png
  #7  
Hace 3 Semanas
Predeterminado Respuesta: Problemas con script del habla
Primer offset copiado y sigue dando problemas, lo intente en tres versiones diferentes de juegos y nada.
Con movimiento, sin movimiento y sigue congelandose la pantalla o mostrando mensajes sin sentido
  #8  
Hace 3 Semanas
Predeterminado Re: Problemas con script del habla
Has probado en otro mapa? A veces los mapas se bugean por así decirlo y se vuelven algo locos. Si no te funciona en otro mapa... pues empezaría a pensar en una rom dañada

PD: podrías pasarnos una imagen en la que aparezca ADvance map con el npc seleccionado y al mismo tiempo su XSE abierto con el script. Si encontramos algo será de este modo.

Última edición por stifler; Hace 3 Semanas a las 10:22
  #9  
Hace 3 Semanas
Predeterminado Respuesta: Problemas con script del habla
Lo he intentado con otra Rom de otra version, otra rom nueva.
Pudiera subir mis capturas para darles una idea, ya que se me hace muy raro este tipo de problemas en unos pasos tan simples.





Al platicar con nuestro personaje creado aparecen estos diálogos irreconocibles y el globo de conversación no se quita hasta salir de la casa.

Última edición por Sergiolino; Hace 3 Semanas a las 15:51
  #10  
Hace 3 Semanas
Predeterminado Re: Problemas con script del habla
Ostras tú, es que el fallo se ve desde Roma.
Mira el offset que te da XSE y mira lo que le pones tú al mini. Por qué le añades un 80???

XSE= $8003E8
Mini= $8003E880

Ponlo tal cual sale de XSE, de hecho dale a copiar y pégalo tal cual, sin añadir nada y verás como funciona.

Jajajak si has hecho eso en todas no me extraña que te de error pues ese offset que tú le pones no existe ni en la propia rom

PD: Mi AM se ve diferente. Yo uso el 1.92 que es más estable. Intenté con el .95 y no me funcionaba nada bien. Salvo que en .95 los offset funcionen distinto, cosa que dudo, el fallo tiene que ser ese
Respuesta

Herramientas
Desplegado

Permisos para publicar mensajes
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los BB code están Activado
Los Emoticones están Activado
El código [IMG] está Activado
El Código HTML está Desactivado
Trackbacks are Activado
Pingbacks are Activado
Refbacks are Desactivado



Extra
Estilo clásico
La franja horaria es GMT +1. Ahora son las 04:50.

© Whack a Hack! 2019